/* @C:\web_585\SQL\end_conv\oracle\4207_GOPTRGO_LOG_GOP_APROVAORCAOP.sql
   Trigger criada para gerar log das transaes na tabela APROVAORCAOP */

CREATE OR REPLACE TRIGGER LOG_GOP_APROVAORCAOP
AFTER DELETE OR UPDATE OR INSERT
ON APROVAORCAOP FOR EACH ROW
DECLARE
  V_USUARIO      VARCHAR2(40);
  V_TIPO         VARCHAR2(1);
  V_ITPESQ       VARCHAR2(40);
  V_DESC         VARCHAR2(700);
  V_DTOPER       DATE;
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
BEGIN
   V_TIPO := '0';
   V_DESC := '';

   IF DELETING THEN

      IF :OLD.NRANOORCAOP IS NOT NULL THEN
         V_DESC := V_DESC || ' AnoOrc=' || :OLD.NRANOORCAOP;
      END IF;

      IF :OLD.CDFILIAL IS NOT NULL THEN
         V_DESC := V_DESC || ' CdFilial=' || :OLD.CDFILIAL;
      END IF;
      
      IF :OLD.CDOPERADOR IS NOT NULL THEN
         V_DESC := V_DESC || ' CdOper=' || :OLD.CDOPERADOR;
      END IF;
      
      IF :OLD.CDVERSORCAOP IS NOT NULL THEN
         V_DESC := V_DESC || ' CdVersaoOrc=' || :OLD.CDVERSORCAOP;
      END IF;
      
      V_TIPO         := '3';
      V_ITPESQ       := :OLD.NRANOORCAOP||';'||:OLD.CDFILIAL||';'||:OLD.CDOPERADOR||';'||:OLD.CDVERSORCAOP;
   ELSE
      IF UPDATING THEN
         IF (:OLD.IDCALCULOOP  <> :NEW.IDCALCULOOP) THEN
               V_DESC := V_DESC || ' IdCalcOp=' ||TO_CHAR(:NEW.IDCALCULOOP);
         END IF;

         IF (:OLD.IDAPROVACAOOP   <> :NEW.IDAPROVACAOOP ) THEN
               V_DESC := V_DESC || ' IdAprovOp=' ||TO_CHAR(:NEW.IDAPROVACAOOP );
         END IF;

         IF (:OLD.IDAPROVAORCAFAT  <> :NEW.IDAPROVAORCAFAT) THEN
               V_DESC := V_DESC || ' IdAprovOrcFat=' ||:NEW.IDAPROVAORCAFAT;
         END IF;

         IF (:OLD.IDAPROVAORCFLIQ  <> :NEW.IDAPROVAORCFLIQ) THEN
               V_DESC := V_DESC || ' IdAprOrCFLiq=' ||:NEW.IDAPROVAORCFLIQ;
         END IF;

         IF (:OLD.IDAPROVAORCCONS  <> :NEW.IDAPROVAORCCONS) THEN
               V_DESC := V_DESC || ' IdAprOrcCons=' ||:NEW.IDAPROVAORCCONS;
         END IF;

         IF (:OLD.IDAPROVAORCMOB  <> :NEW.IDAPROVAORCMOB) THEN
               V_DESC := V_DESC || ' IdAprOrcCMOB=' ||:NEW.IDAPROVAORCMOB;
         END IF;

         IF (:OLD.IDAPROVAORCDMAT  <> :NEW.IDAPROVAORCDMAT) THEN
               V_DESC := V_DESC || ' IdAprOrcMat=' ||:NEW.IDAPROVAORCDMAT;
         END IF;

         IF (:OLD.IDAPROVAORCDDIV  <> :NEW.IDAPROVAORCDDIV) THEN
               V_DESC := V_DESC || ' IdAprOrcDDiv=' ||:NEW.IDAPROVAORCDDIV;
         END IF;

         IF (:OLD.IDAPROVAORCDLE  <> :NEW.IDAPROVAORCDLE) THEN
               V_DESC := V_DESC || ' IdAprOrcDLE=' ||:NEW.IDAPROVAORCDLE;
         END IF;

         IF (:OLD.IDAPROVAORCAREC  <> :NEW.IDAPROVAORCAREC) THEN
               V_DESC := V_DESC || ' IdAprOrcRec=' ||:NEW.IDAPROVAORCAREC;
         END IF;

         IF (:OLD.IDAPROVAORCADEP  <> :NEW.IDAPROVAORCADEP) THEN
               V_DESC := V_DESC || ' IdAprOrcDep=' ||:NEW.IDAPROVAORCADEP;
         END IF;

         IF (:OLD.IDAPROVAORCAIMP  <> :NEW.IDAPROVAORCAIMP) THEN
               V_DESC := V_DESC || ' IdAprOrcImp=' ||:NEW.IDAPROVAORCAIMP;
         END IF;

         IF (:OLD.IDAPROVAORCAINV  <> :NEW.IDAPROVAORCAINV) THEN
               V_DESC := V_DESC || ' IdAprOrcInv=' ||:NEW.IDAPROVAORCAINV;
         END IF;

         IF (:OLD.IDAPROVAORCALUC  <> :NEW.IDAPROVAORCALUC) THEN
               V_DESC := V_DESC || ' IdAprOrcLuc=' ||:NEW.IDAPROVAORCALUC;
         END IF;

         IF (:OLD.IDAPROVAORCADM  <> :NEW.IDAPROVAORCADM) THEN
               V_DESC := V_DESC || ' IdAprOrcAdm=' ||:NEW.IDAPROVAORCADM;
         END IF;

            V_TIPO         := '2';
            V_ITPESQ       := :OLD.NRANOORCAOP||';'||:OLD.CDFILIAL||';'||:OLD.CDOPERADOR||';'||:OLD.CDVERSORCAOP;
      ELSE
         V_TIPO         := '1';
         V_ITPESQ       := :NEW.NRANOORCAOP||';'||:NEW.CDFILIAL||';'||:NEW.CDOPERADOR||';'||:NEW.CDVERSORCAOP;

         IF :NEW.NRANOORCAOP IS NOT NULL THEN
            V_DESC := V_DESC || ' AnoOrc=' || :NEW.NRANOORCAOP;
         END IF;

         IF :NEW.CDFILIAL IS NOT NULL THEN
            V_DESC := V_DESC || ' CdFilial=' || :NEW.CDFILIAL;
         END IF;
      
         IF :NEW.CDOPERADOR IS NOT NULL THEN
            V_DESC := V_DESC || ' CdOper=' || :NEW.CDOPERADOR;
         END IF;
      
         IF :NEW.CDVERSORCAOP IS NOT NULL THEN
            V_DESC := V_DESC || ' CdVersaoOrc=' || :NEW.CDVERSORCAOP;
         END IF;

      END IF; 


   END IF;

   IF V_TIPO <> '0' THEN
      NMUSUARIO(V_USUARIO);
      WEBTUNNING(V_DSREMOTEADDR,
                 V_DSREMOTEHOST,
                 V_DSSERVERRDM,
                 V_DSSERVMETHOD,
                 V_DSREMOTEOPER);
      IF NOT V_DESC IS NULL THEN
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA, DTOPERACAO, NMRESPOPER,
                IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER,
                DSMETUSUOPER, CDORESPOPER)
            VALUES
               ('APROVAORCAOP',  V_DTOPER, V_USUARIO,
                V_TIPO, V_ITPESQ, V_DESC, V_DSSERVERRDM,
                V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVMETHOD,
                V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('LOG_GOP_APROVAORCAOP','5.85.000'); END;
/
